summaryrefslogtreecommitdiff
path: root/dmake/tests/misc-1
diff options
context:
space:
mode:
authorIvo Hinkelmann <ihi@openoffice.org>2006-06-29 10:27:23 +0000
committerIvo Hinkelmann <ihi@openoffice.org>2006-06-29 10:27:23 +0000
commit9e86ff34197001fdb60d5904bd90dddb6bc29dac (patch)
treeb4d15e4ab67a3df7092f2d4af06aab077f2c4eaf /dmake/tests/misc-1
parent2b4472c361bcff81d6f92fa36c37eab976213f82 (diff)
INTEGRATION: CWS dmake45 (1.2.2); FILE MERGED
2006/06/22 20:45:43 vq 1.2.2.2: #i66650# Make dmake testsuite more portable. (Usable with Solaris.) Patch by hjs. 2006/06/22 20:14:22 vq 1.2.2.1: #i66659# Fix evaluation of line continuations in conditional expressions and add testcase.
Diffstat (limited to 'dmake/tests/misc-1')
-rwxr-xr-xdmake/tests/misc-111
1 files changed, 6 insertions, 5 deletions
diff --git a/dmake/tests/misc-1 b/dmake/tests/misc-1
index 64ea7eab7cc2..5b4f581afda4 100755
--- a/dmake/tests/misc-1
+++ b/dmake/tests/misc-1
@@ -2,7 +2,7 @@
# 04.06.2005 Volker Quetschke
# Test for a bug that dmake complained about a continuation char followed
-# by a newline. This could happen if /<nl> was used in an imported
+# by a newline. This could happen if \<nl> was used in an imported
# environment variable.
# This bug was <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=310107?>
@@ -14,7 +14,8 @@ trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }'
trap 'rm -rf $tmpfiles' 1 2 3 15
-# Remember to quote variables in generated makefiles( $ -> \$ ).
+# Remember to quote variables in generated makefiles ( $ -> \$ ).
+# Also quote line continuations ( \<nl> -> \\<nl> ).
cat > $file1 <<EOT
# Testing continuation char in recipes
SHELL*:=/bin/sh
@@ -25,10 +26,10 @@ all:
EOT
-export MYMACRO="aa\\
-aa"; ${DMAKEPROG} -r -f $file1
+MYMACRO=`echo 'aa\\\\\naa'` ;export MYMACRO; ${DMAKEPROG} -r -f $file1
result=$?
test $result -eq 0 && echo "Success - Cleaning up" && rm -f ${tmpfiles}
test $result -ne 0 && echo "Failure!"
-exit $result \ No newline at end of file
+exit $result
+